summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile.am9
-rw-r--r--applewmproto.pc.in9
-rwxr-xr-xautogen.sh12
-rw-r--r--configure.ac8
4 files changed, 38 insertions, 0 deletions
diff --git a/Makefile.am b/Makefile.am
new file mode 100644
index 0000000..137fbf0
--- /dev/null
+++ b/Makefile.am
@@ -0,0 +1,9 @@
+applewmdir = $(includedir)/X11/extensions
+applewm_HEADERS = \
+ applewm.h \
+ applewmstr.h
+
+pkgconfigdir = $(libdir)/pkgconfig
+pkgconfig_DATA = applewmproto.pc
+
+EXTRA_DIST = autogen.sh applewmproto.pc.in
diff --git a/applewmproto.pc.in b/applewmproto.pc.in
new file mode 100644
index 0000000..6ec1c48
--- /dev/null
+++ b/applewmproto.pc.in
@@ -0,0 +1,9 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+libdir=@libdir@
+includedir=@includedir@
+
+Name: AppleWMProto
+Description: AppleWM extension headers
+Version: @PACKAGE_VERSION@
+Cflags: -I${includedir}
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..904cd67
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,12 @@
+#! /bin/sh
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+ORIGDIR=`pwd`
+cd $srcdir
+
+autoreconf -v --install || exit 1
+cd $ORIGDIR || exit $?
+
+$srcdir/configure --enable-maintainer-mode "$@"
diff --git a/configure.ac b/configure.ac
new file mode 100644
index 0000000..b949e60
--- /dev/null
+++ b/configure.ac
@@ -0,0 +1,8 @@
+AC_PREREQ([2.57])
+AC_INIT([AppleWMProto], [1.0], [https://bugs.freedesktop.org/enter_bug.cgi?product=xorg])
+AM_INIT_AUTOMAKE([foreign dist-bzip2])
+
+XORG_RELEASE_VERSION
+
+AC_OUTPUT([Makefile
+ applewmproto.pc])